Description

Supportanfrage

Siehe #10054:

Des Weiteren finde ich keine CAN Beispiele in der Toolbox?! Gibt es eine Möglichkeit Services automatisiert einzufüngen? Bzw.

deren Reihenfolge automatisch richtig zu sortieren?

Noch ein Verbesserungsvorschlag: bitte die CAN Kanäle bei CAN Support Service Property mit 01 02 definieren. Ansonsten ist

die Sortierung nicht schön.

Lösung

ADEVTB-1832 erstellt

History

#1 - 2020-06-30 17:13 - hidden

- Status changed from New to In Progress

- Author changed from hidden to hidden

#2 - 2020-06-30 17:13 - hidden

- Topic changed from DeviceTB::CANFD to DeviceTB::CAN

#5 - 2020-07-02 16:17 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Bane,

Des Weiteren finde ich keine CAN Beispiele in der Toolbox?!

 hm, ich kann dir leider nicht ganz folgen, es gibt für alle Bustypen Example Sessions, ebenso was Programmierbeispiele betrifft.

Habe ich dich missverstanden ?

Gibt es eine Möglichkeit Services automatisiert einzufüngen? Bzw. deren Reihenfolge automatisch richtig zu sortieren?

 Die Abhängigkeiten sind über die Plugin Descriptions definiert.

Diese sorgen dafür, dass benötigte Services im Vorfeld automatisch inkludiert werden, die Reihenfolge und das Runlevel passen.

Wo genau entsteht ein Problem bei dir bzw. was meinst du mit automatischen Einfügen ?

Wenn du Komponenten im Graphen einfügst, werden die benötigten Services automatisch ergänzt und die Plugins im System einegtragen.

Wenn du zusätzliche Services benötigst, muss du das natürlich hinzufügen.

Wenn dort Abhängigkeiten relevant sind, dann werden diese ebenso eingefügt.

Wenn das nicht zutrifft, dann ist das ein Bug und es fehlt etwas in der Plugin Description.

Bitte noch einmal nachschärfen.

2024-04-23 1/3

https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_examples_sessions.html
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_programming_examples.html


Noch ein Verbesserungsvorschlag: bitte die CAN Kanäle bei CAN Support Service Property mit 01 02 definieren. Ansonsten ist die Sortierung

nicht schön.

 Das werden wir beim Redesign des Property Editors berücksichtigen, dass hier die Sortierung passt, das ist auf der Agenda von ACORE-10033.

Sollte das mit Qml nicht gehen, dann werden wir die Property Namen wie vorgeschlagen ändern.

#6 - 2020-07-07 10:32 - hidden

Hi Bane,

hilft dir das weiter, kannst du die Missverständnisse noch aufräumen ?

#7 - 2020-07-07 10:44 - hidden

Hallo Florian,

bei dem Punkt mit CAN Beispielen bin ich noch nicht ganz einverstanden. Die anderen können als gelöst angesehen werden.

ich würde erwarten eine DAT Datei mit der die HW Events/Features von CAN Trace dargestellt werden können. Wie z.B. CAN Fehler.

Oder liegt das in ADTF3 nicht mehr vor?

#8 - 2020-07-07 18:10 - hidden

- Status changed from Customer Feedback Required to In Progress

- Support Level changed from 2nd Level to 3rd Level

@Bene: haben wir ein solches File bzw. können wir eins generieren ? Ich weiß nicht ob man es dann liefern sollte aber vielleicht auch ein animiertes

gif des Trace Views in diesem Fall in die Guides, da es ja nur um die Anzeige geht. Alternativ eine "Fehler-Visu Session". Kannst du vielleicht auch

noch mitteilen, was alles angezeigt wird ? Error Frames usw ? Ich würde mal annehmen, alles was in ADTF 2.x auch existent war. Ich wüsste nur

nich ob wir dazu ein File haben.

Oder kannst du eins von ADTF 2.x geben, wo du die Anzeige gewohnt bist ?

Das würden wie gesagt nicht liefern sondern eher in die Doku visualsieren.

#9 - 2020-07-08 07:58 - hidden

Ich kann mich nicht erinnern, dass wir eine solche Datei haben.

Aktuell wird im CAN-Trace-View unterschieden zwischen den Tags in tCANData (MT_Data und MT_Status)

Ein Errorframe ist hierbei ein MT_Data + DF_ERROR_FRAME bei den Flags.

ich kann einmal versuchen eine solche Datei syntetisch zu generieren. Mittels des CAN-Generators (der liegt auch als Source-Code) dabei, kann

man sich komplett synthetische tCANData-Samples erzeugen, der Aufwand ist nur ein wenig höher.

#10 - 2020-07-08 08:36 - hidden

- Status changed from In Progress to Customer Feedback Required

Mein Vorschlag wäre Bane schickt uns ein File, mit dem er das in ADTF 2.x gesehen hat.

Dann können wir das gegenprüfen, dass es in ADTF 3.x ebenso visualisiert wird.

Wenn das passt, dann machen wir daraus einen kleinen Screencast und packen ihn in die Doku, das File kommt nicht in die Lieferung.

Synthetische Daten zu generieren halte ich für Mehraufwand und auch die Gefahr, dass es nicht zielführend oder falsch ist.

Der Use Case ist ja reell, also sollten wir uns gleich mit diesen Dateien aufhalten.

@Bane: Am besten auch ein passendes dbc dazu. Wenn es dir um die Visualsierung zusätzlicher Dinge geht, die auch in ADTF 2.x nicht visualsiert

wurden, dann bitte um Korrektur und Featureanforderung (dann bitte genau beschreiben, da uns bekanntlich der praxisbezug fehlt)

#11 - 2020-07-15 21:20 - hidden

Wie ist hierzu der Stand bzw das weitere Vorgehen? Gibt es ein Produktticket? Brauchen wir das Supportticket noch?

#12 - 2020-07-16 09:46 - hidden

Wenn ich das so sehe, brauchen wir hier ein Refactoring des CAN-Trace-Views. Würde aber dafür gerne erst einmal ein Sammelticket mit

Anforderungen erstellen. Soll ich eines erstellen?

#13 - 2020-07-16 11:01 - hidden

Ticker hier bitte schließen

für die Änderugen der Doku und evtl CAN TRace View bitte dann ein Sammelticket erstellen.
Danke & VG

Bane

#14 - 2020-07-16 12:51 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADEVTB-1832

- Platform Ubuntu 16.04 64bit, Windows 10 64bit added

#15 - 2020-10-06 11:36 - hidden

- Project changed from 5 to Public Support

- Description updated

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
